var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { UmbTiptapToolbarButtonElement } from './tiptap-toolbar-button.element.js';
import { customElement, html, when } from '../../../../external/lit/index.js';
let UmbTiptapToolbarButtonActionElement = class UmbTiptapToolbarButtonActionElement extends UmbTiptapToolbarButtonElement {
    // Note: This element does not use the inherited `isActive` @state in its template,
    // but relies on it being set by the base class `#onEditorUpdate` to trigger Lit re-renders
    // so that `api.isDisabled(editor)` is re-evaluated.
    render() {
        const label = this.localize.string(this.manifest?.meta.label);
        return html `
			<uui-button
				compact
				look="default"
				label=${label}
				title=${label}
				?disabled=${this.api?.isDisabled(this.editor)}
				@click=${() => this.api?.execute(this.editor)}>
				${when(this.manifest?.meta.icon, (icon) => html `<umb-icon name=${icon}></umb-icon>`, () => html `<span>${label}</span>`)}
			</uui-button>
		`;
    }
};
UmbTiptapToolbarButtonActionElement = __decorate([
    customElement('umb-tiptap-toolbar-button-action')
], UmbTiptapToolbarButtonActionElement);
export { UmbTiptapToolbarButtonActionElement };
export { UmbTiptapToolbarButtonActionElement as element };
